package com.huimv.receive.controller;


import com.huimv.receive.common.utils.Result;
import com.huimv.receive.common.utils.ResultCode;
import com.huimv.receive.service.IBillSamplingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 洗消表 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-03-11
 */
@RestController
@RequestMapping("/bill-sampling")
@CrossOrigin
public class BillSamplingController {

    @Autowired
    private IBillSamplingService billSamplingService;

    @PostMapping("/listPersonalSample")
    public Result listPersonalSample(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap){
        return billSamplingService.listPersonalSample(httpServletRequest,paramsMap);
    }

    @PostMapping("/getDetail")
    public Result getDetail(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap){
        return new Result(ResultCode.SUCCESS,billSamplingService.getById(paramsMap.get("id")));
    }

}
